Unverified Commit 6ae992f6 authored by Martin Pugh's avatar Martin Pugh Committed by GitHub
Browse files

Bump version to v0.9.12 (#4089)



* bump version

* update Cargo.lock
Co-authored-by: Andronik Ordian's avatarAndronik Ordian <write@reusable.software>
parent 192fbcbe
Pipeline #162350 failed with stages
in 37 minutes and 59 seconds
...@@ -3129,7 +3129,7 @@ dependencies = [ ...@@ -3129,7 +3129,7 @@ dependencies = [
[[package]] [[package]]
name = "kusama-runtime" name = "kusama-runtime"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"beefy-primitives", "beefy-primitives",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -4132,7 +4132,7 @@ dependencies = [ ...@@ -4132,7 +4132,7 @@ dependencies = [
[[package]] [[package]]
name = "metered-channel" name = "metered-channel"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"derive_more", "derive_more",
...@@ -5421,7 +5421,7 @@ dependencies = [ ...@@ -5421,7 +5421,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-xcm" name = "pallet-xcm"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"frame-system", "frame-system",
...@@ -5795,7 +5795,7 @@ checksum = "989d43012e2ca1c4a02507c67282691a0a3207f9dc67cec596b43fe925b3d325" ...@@ -5795,7 +5795,7 @@ checksum = "989d43012e2ca1c4a02507c67282691a0a3207f9dc67cec596b43fe925b3d325"
[[package]] [[package]]
name = "polkadot" name = "polkadot"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_cmd", "assert_cmd",
"color-eyre", "color-eyre",
...@@ -5807,7 +5807,7 @@ dependencies = [ ...@@ -5807,7 +5807,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-approval-distribution" name = "polkadot-approval-distribution"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"env_logger 0.9.0", "env_logger 0.9.0",
...@@ -5827,7 +5827,7 @@ dependencies = [ ...@@ -5827,7 +5827,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-availability-bitfield-distribution" name = "polkadot-availability-bitfield-distribution"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -5848,7 +5848,7 @@ dependencies = [ ...@@ -5848,7 +5848,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-availability-distribution" name = "polkadot-availability-distribution"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"derive_more", "derive_more",
...@@ -5875,7 +5875,7 @@ dependencies = [ ...@@ -5875,7 +5875,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-availability-recovery" name = "polkadot-availability-recovery"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"env_logger 0.9.0", "env_logger 0.9.0",
...@@ -5902,7 +5902,7 @@ dependencies = [ ...@@ -5902,7 +5902,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-cli" name = "polkadot-cli"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"frame-benchmarking-cli", "frame-benchmarking-cli",
"futures 0.3.17", "futures 0.3.17",
...@@ -5921,7 +5921,7 @@ dependencies = [ ...@@ -5921,7 +5921,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-client" name = "polkadot-client"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"beefy-primitives", "beefy-primitives",
"frame-benchmarking", "frame-benchmarking",
...@@ -5953,7 +5953,7 @@ dependencies = [ ...@@ -5953,7 +5953,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-collator-protocol" name = "polkadot-collator-protocol"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"always-assert", "always-assert",
"assert_matches", "assert_matches",
...@@ -5980,7 +5980,7 @@ dependencies = [ ...@@ -5980,7 +5980,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-core-primitives" name = "polkadot-core-primitives"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"parity-scale-codec", "parity-scale-codec",
"parity-util-mem", "parity-util-mem",
...@@ -5992,7 +5992,7 @@ dependencies = [ ...@@ -5992,7 +5992,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-dispute-distribution" name = "polkadot-dispute-distribution"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"async-trait", "async-trait",
...@@ -6021,7 +6021,7 @@ dependencies = [ ...@@ -6021,7 +6021,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-erasure-coding" name = "polkadot-erasure-coding"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"parity-scale-codec", "parity-scale-codec",
"polkadot-node-primitives", "polkadot-node-primitives",
...@@ -6034,7 +6034,7 @@ dependencies = [ ...@@ -6034,7 +6034,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-gossip-support" name = "polkadot-gossip-support"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"async-trait", "async-trait",
...@@ -6060,7 +6060,7 @@ dependencies = [ ...@@ -6060,7 +6060,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-network-bridge" name = "polkadot-network-bridge"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"async-trait", "async-trait",
...@@ -6083,7 +6083,7 @@ dependencies = [ ...@@ -6083,7 +6083,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-collation-generation" name = "polkadot-node-collation-generation"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"futures 0.3.17", "futures 0.3.17",
"parity-scale-codec", "parity-scale-codec",
...@@ -6101,7 +6101,7 @@ dependencies = [ ...@@ -6101,7 +6101,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-approval-voting" name = "polkadot-node-core-approval-voting"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -6137,7 +6137,7 @@ dependencies = [ ...@@ -6137,7 +6137,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-av-store" name = "polkadot-node-core-av-store"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -6164,7 +6164,7 @@ dependencies = [ ...@@ -6164,7 +6164,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-backing" name = "polkadot-node-core-backing"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -6188,7 +6188,7 @@ dependencies = [ ...@@ -6188,7 +6188,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-bitfield-signing" name = "polkadot-node-core-bitfield-signing"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"futures 0.3.17", "futures 0.3.17",
"polkadot-node-subsystem", "polkadot-node-subsystem",
...@@ -6203,7 +6203,7 @@ dependencies = [ ...@@ -6203,7 +6203,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-candidate-validation" name = "polkadot-node-core-candidate-validation"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"async-trait", "async-trait",
...@@ -6224,7 +6224,7 @@ dependencies = [ ...@@ -6224,7 +6224,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-chain-api" name = "polkadot-node-core-chain-api"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"futures 0.3.17", "futures 0.3.17",
"maplit", "maplit",
...@@ -6243,7 +6243,7 @@ dependencies = [ ...@@ -6243,7 +6243,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-chain-selection" name = "polkadot-node-core-chain-selection"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"futures 0.3.17", "futures 0.3.17",
...@@ -6264,7 +6264,7 @@ dependencies = [ ...@@ -6264,7 +6264,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-dispute-coordinator" name = "polkadot-node-core-dispute-coordinator"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -6288,7 +6288,7 @@ dependencies = [ ...@@ -6288,7 +6288,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-dispute-participation" name = "polkadot-node-core-dispute-participation"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"futures 0.3.17", "futures 0.3.17",
...@@ -6304,7 +6304,7 @@ dependencies = [ ...@@ -6304,7 +6304,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-parachains-inherent" name = "polkadot-node-core-parachains-inherent"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"async-trait", "async-trait",
"futures 0.3.17", "futures 0.3.17",
...@@ -6320,7 +6320,7 @@ dependencies = [ ...@@ -6320,7 +6320,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-provisioner" name = "polkadot-node-core-provisioner"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"bitvec 0.20.1", "bitvec 0.20.1",
"futures 0.3.17", "futures 0.3.17",
...@@ -6337,7 +6337,7 @@ dependencies = [ ...@@ -6337,7 +6337,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-pvf" name = "polkadot-node-core-pvf"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"always-assert", "always-assert",
"assert_matches", "assert_matches",
...@@ -6371,7 +6371,7 @@ dependencies = [ ...@@ -6371,7 +6371,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-core-runtime-api" name = "polkadot-node-core-runtime-api"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"futures 0.3.17", "futures 0.3.17",
"memory-lru", "memory-lru",
...@@ -6390,7 +6390,7 @@ dependencies = [ ...@@ -6390,7 +6390,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-jaeger" name = "polkadot-node-jaeger"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"async-std", "async-std",
"lazy_static", "lazy_static",
...@@ -6407,7 +6407,7 @@ dependencies = [ ...@@ -6407,7 +6407,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-metrics" name = "polkadot-node-metrics"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"futures 0.3.17", "futures 0.3.17",
"futures-timer 3.0.2", "futures-timer 3.0.2",
...@@ -6417,7 +6417,7 @@ dependencies = [ ...@@ -6417,7 +6417,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-network-protocol" name = "polkadot-node-network-protocol"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"async-trait", "async-trait",
"derive_more", "derive_more",
...@@ -6434,7 +6434,7 @@ dependencies = [ ...@@ -6434,7 +6434,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-primitives" name = "polkadot-node-primitives"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"bounded-vec", "bounded-vec",
"futures 0.3.17", "futures 0.3.17",
...@@ -6456,7 +6456,7 @@ dependencies = [ ...@@ -6456,7 +6456,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-subsystem" name = "polkadot-node-subsystem"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"polkadot-node-jaeger", "polkadot-node-jaeger",
"polkadot-node-subsystem-types", "polkadot-node-subsystem-types",
...@@ -6465,7 +6465,7 @@ dependencies = [ ...@@ -6465,7 +6465,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-subsystem-test-helpers" name = "polkadot-node-subsystem-test-helpers"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"async-trait", "async-trait",
"futures 0.3.17", "futures 0.3.17",
...@@ -6483,7 +6483,7 @@ dependencies = [ ...@@ -6483,7 +6483,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-subsystem-types" name = "polkadot-node-subsystem-types"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"derive_more", "derive_more",
"futures 0.3.17", "futures 0.3.17",
...@@ -6501,7 +6501,7 @@ dependencies = [ ...@@ -6501,7 +6501,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-node-subsystem-util" name = "polkadot-node-subsystem-util"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"async-trait", "async-trait",
...@@ -6531,7 +6531,7 @@ dependencies = [ ...@@ -6531,7 +6531,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-overseer" name = "polkadot-overseer"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"femme", "femme",
...@@ -6555,7 +6555,7 @@ dependencies = [ ...@@ -6555,7 +6555,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-overseer-gen" name = "polkadot-overseer-gen"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"async-trait", "async-trait",
"futures 0.3.17", "futures 0.3.17",
...@@ -6572,7 +6572,7 @@ dependencies = [ ...@@ -6572,7 +6572,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-overseer-gen-proc-macro" name = "polkadot-overseer-gen-proc-macro"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"proc-macro-crate 1.1.0", "proc-macro-crate 1.1.0",
...@@ -6583,7 +6583,7 @@ dependencies = [ ...@@ -6583,7 +6583,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-parachain" name = "polkadot-parachain"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"derive_more", "derive_more",
"frame-support", "frame-support",
...@@ -6599,7 +6599,7 @@ dependencies = [ ...@@ -6599,7 +6599,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-primitives" name = "polkadot-primitives"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"bitvec 0.20.1", "bitvec 0.20.1",
"frame-system", "frame-system",
...@@ -6628,7 +6628,7 @@ dependencies = [ ...@@ -6628,7 +6628,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-rpc" name = "polkadot-rpc"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"beefy-gadget", "beefy-gadget",
"beefy-gadget-rpc", "beefy-gadget-rpc",
...@@ -6658,7 +6658,7 @@ dependencies = [ ...@@ -6658,7 +6658,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-runtime" name = "polkadot-runtime"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"beefy-primitives", "beefy-primitives",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -6740,7 +6740,7 @@ dependencies = [ ...@@ -6740,7 +6740,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-runtime-common" name = "polkadot-runtime-common"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"beefy-primitives", "beefy-primitives",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -6790,7 +6790,7 @@ dependencies = [ ...@@ -6790,7 +6790,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-runtime-parachains" name = "polkadot-runtime-parachains"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"bitflags", "bitflags",
"bitvec 0.20.1", "bitvec 0.20.1",
...@@ -6833,7 +6833,7 @@ dependencies = [ ...@@ -6833,7 +6833,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-service" name = "polkadot-service"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"assert_matches", "assert_matches",
"async-trait", "async-trait",
...@@ -6935,7 +6935,7 @@ dependencies = [ ...@@ -6935,7 +6935,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-simnet" name = "polkadot-simnet"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -6967,14 +6967,14 @@ dependencies = [ ...@@ -6967,14 +6967,14 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-simnet-node" name = "polkadot-simnet-node"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"polkadot-simnet", "polkadot-simnet",
] ]
[[package]] [[package]]
name = "polkadot-simnet-test" name = "polkadot-simnet-test"
version = "0.9.11" version = "0.9.12"
dependencies = [ dependencies = [
"frame-system", "frame-system",
"pallet-balances", "pallet-balances",
...@@ -6988,7 +6988,7 @@ dependencies = [ ...@@ -6988,7 +6988,7 @@ dependencies = [
[[package]] [[package]]
name = "polkadot-statement-distribution" name = "polkadot-statement-distribution"
version = "0.9.11"